Subject: Re: [PATCH] [RFC] powerpc: Add VDSO version of time

From: Michael Ellerman <[email-masked]>
Date: Fri, 5 Apr 2013 17:21:37 +1100

On Tue, Mar 19, 2013 at 04:55:31PM -0300, Adhemerval Zanella wrote:
> Hi all,
> 
> This patch implement the time syscall as vDSO. I have a glibc patch
> to use it as IFUNC (as latest gettimeofday patch). Below the perf
> numbers:
> 
> Baseline PPC32: 380 nsec
> Baseline PPC64: 352 nsec
> vdso PPC32:      20 nsec
> vdso PPC64:      20 nsec
> 
> I focused on 64 bit kernel, do I need to provide a scheme for 32 bits
> as well?

You did provide a 32-bit implementation. I take it you haven't tested
that though? Can you test it?

What happens if I don't have the glibc patch?

cheers